USERADD(8)

NAMN
useradd - skapa en ny användare eller uppdatera standardinformation för nya användare

SYNOPSIS

useradd [flaggor] INLOGGNINGSNAMN

useradd -D

useradd -D [flaggor]

BESKRIVNING

useradd is a low level utility for adding users. On Debian, administrators should usually use adduser(8) instead.

When invoked without the -D option, the useradd command creates a new user account using the values specified on the command line plus the default values from the system. Depending on command line options, the useradd command will update system files and may also create the new user's home directory and copy initial files.

FLAGGOR

Flaggorna som gäller för kommandot useradd är:

-c, --commentKOMMENTAR
    Any text string. It is generally a short description of the login, and is currently used as the field for the user's full name.

-b, --base-dir BASE_DIR
    The default base directory for the system if -d HOME_DIR is not specified. BASE_DIR is concatenated with the account name to define the home directory. If the -m option is not used, BASE_DIR must exist.

-D, --defaults
    See below, the subsection "Changing the default values".

-d, --homeHEM_KAT
    The new user will be created using HOME_DIR as the value for the user's login directory. The default is to append the LOGIN name to BASE_DIR and use that as the login directory name. The directory HOME_DIR does not have to exist but will not be created if it is missing.

-e, --expiredateUTGÅNGSDATUM
    The date on which the user account will be disabled. The date is specified in the format YYYY-MM-DD.

-f, --inactiveINAKTIV
    The number of days after a password expires until the account is permanently disabled. A value of 0 disables the account as soon as the password has expired, and a value of -1 disables the feature. The default value is -1.

-g, --gidGRUPP
    The group name or number of the user's initial login group. The group name must exist. A group number must refer to an already existing group. The default group number is 1 or whatever is specified in /etc/default/useradd.

-G, --groupsGRUPP1[,GRUPP2,...[,GRUPPN]]]
    A list of supplementary groups which the user is also a member of. Each group is separated from the next by a comma, with no intervening whitespace. The groups are subject to the same restrictions as the group given with the -g option. The default is for the user to belong only to the initial group.

-h, --help
    Visa hjälpmeddelande och avsluta.

-k, --skel SKEL_DIR
    The skeleton directory, which contains files and directories to be copied in the user's home directory, when the home directory is created by useradd.

    This option is only valid if the -m (or --create-home) option is specified.

    If this option is not set, the skeleton directory is defined in /etc/default/useradd or, by default, /etc/skel.

    This option may not function correctly if the username has a / in it.

-K, --keyNYCKEL=VÄRDE
    Åsidosätter standardvärden för /etc/login.defs (UID_MIN, UID_MAX, UMASK, PASS_MAX_DAYS och others). Exempel: -K LÖSEN_MAX_DAGAR=-1 kan användas när systemkonton skapas för att stänga av lösenordsåldring, även om systemkontot inte har något lösenord alls. Flera av flaggan -K kan anges, t.ex.: -K UID_MIN=100 -K UID_MAX=499

    Notera: -K UID_MIN=10,UID_MAX=499 fungerar ännu inte.

    For the compatibility with previous Debian's useradd, the -O option is also supported.

-l
    Do not add the user to the lastlog and faillog databases.

    By default, the user's entries in the lastlog and faillog databases are resetted to avoid reusing the entry from a previously deleted user.

-m, --create-home
    Create the user's home directory if it does not exist. The files and directories contained in the skeleton directory (which can be defined with the -k option) will be copied to the home directory.

    By default, no home directories are created.

-N, --no-user-group
    Do not create a group with the same name as the user, but add the user to the group specified by the -g option or by the GROUP variable in /etc/default/useradd.

    The default behavior (if the -g, -N, and -U options are not specified) is defined by the USERGROUPS_ENAB variable in login.defs.

-o, --non-unique
    Allow the creation of a user account with a duplicate (non-unique) UID.

-p, --passwordLÖSENORD
    The encrypted password, as returned by crypt(3). The default is to disable the account.

-r, --system
    Create a system account.

    System users will be created with no aging information in /etc/shadow, and their numeric identifiers are choosen in the SYS_UID_MIN-SYS_UID_MAX range, defined in login.defs, instead of UID_MIN-UID_MAX (and their GID counterparts for the creation of groups).

-s, --shellSKAL
    The name of the user's login shell. The default is to leave this field blank, which causes the system to select the default login shell.

-u, --uidUID
    The numerical value of the user's ID. This value must be unique, unless the -o option is used. The value must be non-negative. The default is to use the smallest ID value greater than 999 and greater than every other user. Values between 0 and 999 are typically reserved for system accounts.

-U, --user-group
    Create a group with the same name as the user, and add the user to this group.

    The default behavior (if the -g, -N, and -U options are not specified) is defined by the USERGROUPS_ENAB variable in login.defs.

  Ändrar standardvärden

When invoked with only the -D option, useradd will display the current default values. When invoked with -D plus other options, useradd will update the default values for the specified options. Valid default-changing options are:

-b, --base-dir BASE_DIR
    The path prefix for a new user's home directory. The user's name will be affixed to the end of BASE_DIR to form the new user's home directory name, if the -d option is not used when creating a new account.

-e, --expiredateUTGÅNGSDATUM
    Datumet när användarkontot blir inaktiverat.

-f, --inactiveINAKTIV
    Antalet dagar efter att ett lösenord har gått ut innan kontot kommer att inaktiveras.

-g, --gidGRUPP
    The group name or ID for a new user's initial group. The named group must exist, and a numerical group ID must have an existing entry.

-s, --shellSKAL
    The name of a new user's login shell.

NOTERINGAR

Systemadministratören är ansvarig för att placera standardanvändarfiler i katalogen /etc/skel/.

TÄNK PÅ

You may not add a user to a NIS or LDAP group. This must be performed on the corresponding server.

Similarly, if the username already exists in an external user database such as NIS or LDAP, useradd will deny the user account creation request.

It is usually recommended to only use usernames that begin with a lower case letter or an underscore, and are only followed by lower case letters, digits, underscores, dashes, and optionally terminated by a dollar sign. In regular expression terms: [a-z_][a-z0-9_-]*[$]?

On Debian, the only constraints are that usernames must neither start with a dash ('-') nor contain a colon (':') or a whitespace (space:' ', end of line: '\n', tabulation: '\t', etc.).

Usernames may only be up to 32 characters long.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

GID_MAX (number), GID_MIN (number)
    Range of group IDs used for the creation of regular groups by useradd, useradd, or newusers.

MAIL_DIR (string)
    The mail spool directory. This is needed to manipulate the mailbox when its corresponding user account is modified or deleted. If not specified, a compile-time default is used.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

PASS_MAX_DAYS (number)
    The maximum number of days a password may be used. If the password is older than this, a password change will be forced. If not specified, -1 will be assumed (which disables the restriction).

PASS_MIN_DAYS (number)
    The minimum number of days allowed between password changes. Any password changes attempted sooner than this will be rejected. If not specified, -1 will be assumed (which disables the restriction).

PASS_WARN_AGE (number)
    The number of days warning given before a password expires. A zero means warning is given only upon the day of expiration, a negative value means no warning is given. If not specified, no warning will be provided.

SYS_GID_MAX (number), SYS_GID_MIN (number)
    Range of group IDs used for the creation of system groups by useradd, groupadd, or newusers.

SYS_UID_MAX (number), SYS_UID_MIN (number)
    Range of user IDs used for the creation of system users by useradd or newusers.

UID_MAX (number), UID_MIN (number)
    Range of user IDs used for the creation of regular users by useradd or newusers.

UMASK (number)
    The permission mask is initialized to this value. If not specified, the permission mask will be initialized to 022.

USERGROUPS_ENAB (boolean)

FILER

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

/etc/group
    Gruppkontoinformation.

/etc/default/useradd
    Standardvärden för skapande av konto.

/etc/skel/
    Katalog som innehåller standardfiler.

/etc/login.defs
    Shadow password suite configuration.

AVSLUTNINGSVÄRDEN

Kommandot useradd avslutas med följande värden:

0
    lyckad

1
    kan inte uppdatera lösenordsfilen

2
    ogiltig kommandosyntax

3
    ogiltigt argument till flagga

4
    UID används redan (och inget -o)

6
    angiven grupp finns inte

9
    användarnamnet används redan

10
    kan inte uppdatera gruppfilen

12
    kan inte skapa hemkatalog

13
    kan inte skapa postkö

SE OCKSÅ

chfn(1), chsh(1), passwd(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), login.defs(5), newusers(8), userdel(8), usermod(8).